> For the complete documentation index, see [llms.txt](https://support.goodaccess.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://support.goodaccess.com/configuration-guides/features/api-integration/api-reference/clouds-and-branches.md).

# Clouds & Branches

This endpoint allows you to fetch data about the Clouds & Branches of your Team.

## Fetch All Branches

> Returns all site-to-site VPN branches of the team. IPSec branches additionally contain credentials, lifetimes and phase 1/2 options. Requires scope \`branches.read-all\`.

```json
{"openapi":"3.0.0","info":{"title":"GoodAccess Customer","version":"1.0.0"},"tags":[{"name":"Branches"}],"servers":[{"url":"https://integration.goodaccess.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/api/v1/branches":{"get":{"tags":["Branches"],"summary":"Fetch All Branches","description":"Returns all site-to-site VPN branches of the team. IPSec branches additionally contain credentials, lifetimes and phase 1/2 options. Requires scope `branches.read-all`.","responses":{"200":{"description":"OK","headers":{"Content-Type":{"schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"object"}}}}}}}}}
```

## Fetch Branch by its ID

> Returns a single branch. The IPSec-only fields (\`snat\`, \`tunnel\_lifetime\`, \`ike\_lifetime\`, \`dead\_peer\_detection\_delay\`, \`public\_ip\`, \`remote\_id\`, \`shared\_secret\`, \`options\`) are present only when \`protocol\` is \`ipsec\`. Requires scope \`branches.read\`.

```json
{"openapi":"3.0.0","info":{"title":"GoodAccess Customer","version":"1.0.0"},"tags":[{"name":"Branches"}],"servers":[{"url":"https://integration.goodaccess.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/api/v1/branch/{branchId}":{"get":{"tags":["Branches"],"summary":"Fetch Branch by its ID","description":"Returns a single branch. The IPSec-only fields (`snat`, `tunnel_lifetime`, `ike_lifetime`, `dead_peer_detection_delay`, `public_ip`, `remote_id`, `shared_secret`, `options`) are present only when `protocol` is `ipsec`. Requires scope `branches.read`.","parameters":[{"in":"path","name":"branchId","schema":{"type":"string"},"required":true,"description":"ID of branch"}],"responses":{"200":{"description":"OK","headers":{"Content-Type":{"schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"object"}}}},"404":{"description":"Not Found","headers":{"Content-Type":{"schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"object"}}}}}}}}}
```
